Skip to content
Get started

XP leaderboard for a circle

GET/api/v1/circles/{id}/leaderboard

Returns circle members ranked by XP descending.

Path ParametersExpand Collapse
id: string
Query ParametersExpand Collapse
limit: optional number

Max results (1–100, default 25)

minimum1
maximum100
ReturnsExpand Collapse
entries: optional array of LeaderboardEntry { image, name, rank, 3 more }
id: optional string
joinedAt: optional string
formatdate-time
level: optional number
role: optional "OWNER" or "ADMIN" or "MEMBER"
One of the following:
"OWNER"
"ADMIN"
"MEMBER"

XP leaderboard for a circle

curl https://racks.cash/api/v1/circles/$ID/leaderboard
{
  "entries": [
    {
      "image": "image",
      "name": "Alice",
      "rank": 1,
      "streakDays": 12,
      "username": "alice",
      "xp": 9800,
      "id": "id",
      "joinedAt": "2019-12-27T18:11:19.117Z",
      "level": 0,
      "role": "OWNER"
    }
  ]
}
Returns Examples
{
  "entries": [
    {
      "image": "image",
      "name": "Alice",
      "rank": 1,
      "streakDays": 12,
      "username": "alice",
      "xp": 9800,
      "id": "id",
      "joinedAt": "2019-12-27T18:11:19.117Z",
      "level": 0,
      "role": "OWNER"
    }
  ]
}